%define pkg_name        X-Osd
%define pkg_version     0.7
%define rpm_pkg_version 0.7
%define rpm_pkg_release 4.n0i.9

Summary:       Perl glue to libxosd
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/G/GO/GOZER/%{pkg_name}-%{pkg_version}.tar.gz

BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: reb00t-rpmdevtools
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: xosd-devel


%description
X::Osd - Perl extension to the X On Screen Display library (xosd)

XOSD displays text on your screen, sounds simple right? The difference
is it is unmanaged and shaped, so it appears transparent. This gives the
effect of an On Screen Display, like your TV/VCR etc..

It currently supports 3 type of writes, string for simple text, printf
formatted text, slider and percentage display.

You need to have libxosd installed. You can get it from
http://www.ignavus.net/software.html


%prep
%setup -q -n %{pkg_name}-%{pkg_version}
# fix barewords
%{__perl} -pi -e 's{colour\((\w+)\)}{colour(q[$1])}' t/1-basic.t


%build
%{perl_build}
# needs X DISPLAY
%{!?_without_test:%{__make} test || :}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes README


%changelog
* Tue May 22 2007 Marius Feraru <altblue@n0i.net> - 0.7-4.n0i.9
- rebuild

* Sat Mar 04 2006 Marius Feraru <altblue@n0i.net> - 0.7-3.n0i.8
- automatic rebuild (perl 5.8.8)

* Mon Jul 25 2005 Marius Feraru <altblue@n0i.net> 0.7-2.n0i.7
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7

* Wed May 18 2005 Marius Feraru <altblue@n0i.net> 0:0.7-1.n0i.6
- automatic rebuild (perl 5.8.6)

* Sun Mar 20 2005 Marius Feraru <altblue@n0i.net> 0:0.7-1.n0i.5
- automatic rebuild (perl 5.8.6)

* Mon Dec 06 2004 Marius Feraru <altblue@n0i.net> 0:0.7-1.n0i.4
- automatic rebuild (perl 5.8.6)

* Fri Apr 30 2004 Marius Feraru <altblue@n0i.net> 0:0.7-1.n0i.3
- automatic rebuild

* Wed Apr 21 2004 Marius Feraru <altblue@n0i.net> 0:0.7-1.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2004032101
- rebuild (perl 5.8.4)

* Thu Jan 22 2004 Marius FERARU <altblue@n0i.net> 0:0.7-0.n0i.3
- automatic rebuild (perl v.5.8.3)

* Mon Jan 05 2004 Marius FERARU <altblue@n0i.net> 0:0.7-0.n0i.2
- spec file (re?)created using N0i::CPAN::RPMizer/2003102001
- rebuilt on perl 5.8.2 / Fedora 1 Devel (tobe FC2)

* Wed Jul 30 2003 Marius FERARU <altblue@n0i.net> 0.7-0.n0i
- version 0.7
